%define tarname firmware-extractor

Summary: Speedtouch firmware extractor
Name: speedtouch-firmware-extractor
Version: 0.1
Release: %mkrel 8
Source0: %{tarname}.tar.bz2
License: GPLv2+
Group: System/Kernel and hardware
Url: http://www.linux-usb.org/SpeedTouch/firmware/index.html

%description
This is a small application to prepare and install the firmware for a
SpeedTouch USB modem so that a 2.6.10 kernel (or later) can load the
firmware without the assistance of modem_run.

The firmware extractor splits the firmware file (old mgmt.o) in
smaller firmware files (stage1 and stage2) that are meant to be used
with hotplug firmware loading.

%prep
%setup -q -n %{tarname}

%build
gcc -o %{tarname} firmware.c

%install
rm -rf %{buildroot}
install -D -m755 %{tarname} %{buildroot}%{_sbindir}/%{tarname}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_sbindir}/%{tarname}


%changelog
* Thu Jun 09 2011 ahmad <ahmad> 0.1-8.mga2
+ Revision: 102319
- Drop the buildroot declaration
- Clean spec a bit

* Sun Mar 06 2011 ennael <ennael> 0.1-7.mga1
+ Revision: 65624
- imported package speedtouch-firmware-extractor


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-7mdv2011.0
+ Revision: 607554
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-6mdv2010.1
+ Revision: 524118
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1-5mdv2010.0
+ Revision: 427206
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.1-4mdv2009.0
+ Revision: 225470
- rebuild

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1-3mdv2008.1
+ Revision: 179516
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jun 14 2007 Adam Williamson <awilliamson@mandriva.org> 0.1-2mdv2008.0
+ Revision: 39260
- rebuild for new era
- Import speedtouch-firmware-extractor



* Mon May 15 2006 Olivier Blin <oblin@mandriva.com> 0.1-1mdk
- initial Mandriva release
